Skip to content
Browse files

don't run wlang on rbx in 1.9 mode

  • Loading branch information...
1 parent abf87d7 commit 3f23182f9089fbdbbfefd67e3902948397065345 @rkh rkh committed
Showing with 5 additions and 2 deletions.
  1. +5 −2 Gemfile
View
7 Gemfile
@@ -32,7 +32,6 @@ gem 'haml', '>= 3.0'
gem 'sass' if RUBY_VERSION < "2.0"
gem 'builder'
gem 'erubis'
-gem 'liquid' unless RUBY_ENGINE == 'rbx' and RUBY_VERSION > '1.9'
gem 'slim', '~> 1.0'
gem 'temple', '!= 0.3.3'
gem 'coffee-script', '>= 2.0'
@@ -42,9 +41,13 @@ gem 'maruku'
gem 'creole'
gem 'markaby'
gem 'radius'
-gem 'wlang', '>= 2.0.1' unless RUBY_ENGINE == "maglev"
gem 'rabl' unless RUBY_ENGINE =~ /jruby|maglev/
+unless RUBY_ENGINE == 'rbx' and RUBY_VERSION > '1.9'
+ gem 'wlang', '>= 2.0.1' unless RUBY_ENGINE == "maglev"
+ gem 'liquid'
+end
+

I'll try to fix wlang for that. I think it's related to a citrus bug in rbx. I'll investigate.

@rkh Sinatra member
rkh added a note

Sweet!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
if RUBY_ENGINE == 'jruby'
gem 'nokogiri', '!= 1.5.0'
gem 'jruby-openssl'

0 comments on commit 3f23182

Please sign in to comment.
Something went wrong with that request. Please try again.